Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.deploy
Class ComponentTarget

    java.lang.Object
      |
      +--weblogic.management.deploy.ComponentTarget

public class ComponentTarget
extends java.lang.Object
implements java.io.Serializable

Stores the pair of target name of a component and the actual weblogic server where this component is activated. For eg. if the component target is a cluster(CL1) of two Managed Servers (MS1 and MS2), then when the component gets activated on MS1, a ComponentTarget object is created with entry CL1 (ComponentTarget) and MS1(PhysicalTarget) on MS1 and stored in the activatedComponentTarget attribute of the Component Admin MBean. Similarly when the component gets actviated on MS2, a new ComponentTarget(CL1,MS2) will get created on MS2 and stored in Admin ComponentMBean. A VirtualHost can be targetted to one or more clusters and servers in the domain. So when such a component gets activated, then a ComponentTarget object is created which stores the VirtualHostName and the cluster+server name or virtual hostname and server name pair and added to the Admin ComponentMBean. This info. is used to figure out the actual deployment status of a component and also to deduce its availability based on the deployment status on different weblogic servers in the domain.

Author:
  Copyright (c) 1999-2004 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `COMPONENT_TARGET_CLUSTER`
`static int` | `COMPONENT_TARGET_SERVER`
`static int` | `COMPONENT_TARGET_VIRTUALHOST`

Constructor Summary
`ComponentTarget(java.lang.String componentTarget, java.lang.String physicalTarget, int targetType)`
`ComponentTarget(java.lang.String componentTarget, java.lang.String clusterTarget, java.lang.String physicalTarget, int targetType)`

Method Summary
`boolean` | `equals(java.lang.Object target)`
`java.lang.String` | `getClusterTarget()`
`java.lang.String` | `getComponentTarget()`
`java.lang.String` | `getPhysicalTarget()`
`int` | `getTargetType()`
`int` | `hashCode()`
`boolean` | `isVirtualHostClustered()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPONENT_TARGET_SERVER

    public static final int COMPONENT_TARGET_SERVER

### COMPONENT_TARGET_CLUSTER

    public static final int COMPONENT_TARGET_CLUSTER

### COMPONENT_TARGET_VIRTUALHOST

    public static final int COMPONENT_TARGET_VIRTUALHOST

Constructor Detail

### ComponentTarget

    public ComponentTarget(java.lang.String componentTarget,
                           java.lang.String physicalTarget,
                           int targetType)

### ComponentTarget

    public ComponentTarget(java.lang.String componentTarget,
                           java.lang.String clusterTarget,
                           java.lang.String physicalTarget,
                           int targetType)

Method Detail

### getComponentTarget

    public java.lang.String getComponentTarget()

### getClusterTarget

    public java.lang.String getClusterTarget()

### getPhysicalTarget

    public java.lang.String getPhysicalTarget()

### isVirtualHostClustered

    public boolean isVirtualHostClustered()

### getTargetType

    public int getTargetType()

### equals

    public boolean equals(java.lang.Object target)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference